Kerbal Space Program - Bug #3220

Action groups applied to symmetric parts only apply to the original part after reattachment
09/24/2014 11:35 PM - Kirk
Assignee:
Description

Hi all,

This bug has been around for a long time (since | started playing during the Steam Summer Getaway Sale), but since | found this
here bug reporting feature | thought | might mention it:

After assigning an action group to a part (say, a jet engine) that has symmetry (say, attached to a wing attached to both sides of the
plane), and then adjusting that part (for example, moving it slightly to adjust the center-of-mass/center-of-lift balance), the action
groups will only be assigned to the original part, not its symmetric partner.

I can't count the amount of times I've reverted while in orbit after finding out | fell for this again XD

Reproduction steps:

- Make a craft with radial symmetry in it.

- Assign an action group to a symmetric pair (duo, trio, etc.) of parts (they will be highlighted together).

- Click one of the parts to disconnect it and all its symmetric partners from the craft.

- Click the craft to connect the part and its symmetric partners again (make sure you have symmetry enabled).
- Launch the craft.

- Press the action group key.

- Observe that only the originally placed part performs the action, and its symmetric partners do not.

| use Windows, the latest version via Steam. Observed on both x32 and x64.

History

#1 - 09/24/2014 11:58 PM - Kirk
- Status changed from New to Duplicate

- % Done changed from 0 to 100

Hmm, looks like it was reported before... but as a feedback item, not a bug. | did not think to check that list as well (to be honest, | wasn't aware of its
existence yet).

Though if it is intended behaviour as that item mentions, | would say it is rather annoying behaviour :P It's not something you receive any feedback on
until well after your mission is underway, at which point you are essentially punished for not realizing what happened under the hood in the VAB.

Also, | should mention that the VAB (or SPH) lists the symmetric partner as having that action group assigned to it when you click it, while in actuality

that is no longer the case. In fact, the only way to fix it is to unassign the action group from the part and its partner, and then reassign the action group
to the part and its partner, resulting in a visually indistinct situation (though the action group is now assigned to both parts again).

#2 - 09/25/2014 12:00 AM - Kirk

| forgot to mention it's item #1200, sorry.
